Developer Documentation

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Modules Pages
Public Types | Public Member Functions | List of all members
ACG::SmartTaggerFT< Mesh > Class Template Reference
Inheritance diagram for ACG::SmartTaggerFT< Mesh >:

## Public Types
typedef SmartTaggerT< Mesh, typename Mesh::FaceHandle, OpenMesh::FPropHandleT < unsigned int > > | BaseType

## Public Member Functions
| SmartTaggerFT (Mesh &_mesh, unsigned int _tag_range=1)
Public Member Functions inherited from ACG::SmartTaggerT< Mesh, Mesh::FaceHandle, OpenMesh::FPropHandleT< unsigned int > >
| SmartTaggerT (Mesh &_mesh, unsigned int _tag_range=1)
| Constructor.
| ~SmartTaggerT ()
| Destructor.
void | untag_all ()
| untag all elements More...
void | untag_all (const unsigned int _new_tag_range)
| untag all elements and set new tag_range More...
void | set_tag (const Mesh::FaceHandle_eh, unsigned int _tag=1)
| set tag to a value in [0..tag_range] More...
unsigned int | get_tag (const Mesh::FaceHandle_eh) const
| get tag value in range [0..tag_range] More...
bool | is_tagged (const Mesh::FaceHandle_eh) const
| overloaded member for boolean tags More...
void | set_tag_range (const unsigned int _tag_range)
| set new tag range and untag_all More...

## Additional Inherited Members
Protected Member Functions inherited from ACG::SmartTaggerT< Mesh, Mesh::FaceHandle, OpenMesh::FPropHandleT< unsigned int > >
void | all_tags_to_zero ()
Protected Attributes inherited from ACG::SmartTaggerT< Mesh, Mesh::FaceHandle, OpenMesh::FPropHandleT< unsigned int > >
Mesh & | mesh_
OpenMesh::FPropHandleT < unsigned int > | ep_tag_
unsigned int | current_base_
unsigned int | tag_range_

## Detailed Description

### template<class Mesh>
class ACG::SmartTaggerFT< Mesh >

Definition at line 81 of file SmartTaggerT.hh.

The documentation for this class was generated from the following file:

- ACG/Mesh/SmartTaggerT.hh